RSASS< STANDARD, H > Class Template Reference

RSA signature algorithm. More...

Inheritance diagram for RSASS< STANDARD, H >:

## Additional Inherited Members

Public Types inherited from TF_SS< STANDARD, H, RSA >
typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions< TF_SS< STANDARD, H, RSA, int >, RSA, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate< TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< TF_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Public Types inherited from RSA
typedef RSAFunction | PublicKey
typedef InvertibleRSAFunction | PrivateKey
Static Public Member Functions inherited from TF_SS< STANDARD, H, RSA >
static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from RSA
static const char * | StaticAlgorithmName ()

## Detailed Description

### template<class STANDARD, class H>
class RSASS< STANDARD, H >

RSA signature algorithm.

Template Parameters

  STANDARD | signature standard
  H | hash transformation

See documentation of PKCS1v15 for a list of hash functions that can be used with it.

See also
  RSA signature scheme with appendix

Definition at line 176 of file rsa.h.

The documentation for this class was generated from the following file:

- rsa.h